svn commit: trunk/buildroot: toolchain toolchain/binutils toolchain/ etc...

vapier at uclibc.org vapier at uclibc.org
Fri May 26 01:18:10 UTC 2006


Author: vapier
Date: 2006-05-25 18:18:09 -0700 (Thu, 25 May 2006)
New Revision: 15173

Log:
s/dependancies/dependencies/

Added:
   trunk/buildroot/toolchain/dependencies/
   trunk/buildroot/toolchain/dependencies/dependencies.mk
   trunk/buildroot/toolchain/dependencies/dependencies.sh

Removed:
   trunk/buildroot/toolchain/dependancies/
   trunk/buildroot/toolchain/dependencies/dependancies.mk
   trunk/buildroot/toolchain/dependencies/dependancies.sh

Modified:
   trunk/buildroot/Makefile
   trunk/buildroot/toolchain/binutils/binutils.mk


Changeset:
Modified: trunk/buildroot/Makefile
===================================================================
--- trunk/buildroot/Makefile	2006-05-25 23:02:40 UTC (rev 15172)
+++ trunk/buildroot/Makefile	2006-05-26 01:18:09 UTC (rev 15173)
@@ -86,7 +86,7 @@
 #############################################################
 #
 # staging and target directories do NOT list these as
-# dependancies anywhere else
+# dependencies anywhere else
 #
 #############################################################
 $(DL_DIR):

Modified: trunk/buildroot/toolchain/binutils/binutils.mk
===================================================================
--- trunk/buildroot/toolchain/binutils/binutils.mk	2006-05-25 23:02:40 UTC (rev 15172)
+++ trunk/buildroot/toolchain/binutils/binutils.mk	2006-05-26 01:18:09 UTC (rev 15173)
@@ -73,7 +73,7 @@
 $(STAGING_DIR)/$(REAL_GNU_TARGET_NAME)/bin/ld: $(BINUTILS_DIR1)/binutils/objdump
 	$(MAKE) -C $(BINUTILS_DIR1) install
 
-binutils: dependancies $(STAGING_DIR)/$(REAL_GNU_TARGET_NAME)/bin/ld
+binutils: dependencies $(STAGING_DIR)/$(REAL_GNU_TARGET_NAME)/bin/ld
 
 binutils-source: $(DL_DIR)/$(BINUTILS_SOURCE)
 

Copied: trunk/buildroot/toolchain/dependencies (from rev 15172, trunk/buildroot/toolchain/dependancies)

Deleted: trunk/buildroot/toolchain/dependencies/dependancies.mk
===================================================================
--- trunk/buildroot/toolchain/dependancies/dependancies.mk	2006-05-25 23:02:40 UTC (rev 15172)
+++ trunk/buildroot/toolchain/dependencies/dependancies.mk	2006-05-26 01:18:09 UTC (rev 15173)
@@ -1,25 +0,0 @@
-######################################################################
-#
-# Check buildroot dependancies and bail out if the user's
-# system is judged to be lacking....
-#
-######################################################################
-
-dependancies:
-	$(TOPDIR)/toolchain/dependancies/dependancies.sh
-
-dependancies-source:
-
-dependancies-clean:
-	rm -f $(SSTRIP_TARGET)
-
-dependancies-dirclean:
-	true
-
-#############################################################
-#
-# Toplevel Makefile options
-#
-#############################################################
-# unconditionally include this one...
-TARGETS+=dependancies

Deleted: trunk/buildroot/toolchain/dependencies/dependancies.sh
===================================================================
--- trunk/buildroot/toolchain/dependancies/dependancies.sh	2006-05-25 23:02:40 UTC (rev 15172)
+++ trunk/buildroot/toolchain/dependencies/dependancies.sh	2006-05-26 01:18:09 UTC (rev 15173)
@@ -1,129 +0,0 @@
-#!/bin/sh
-
-set -e
-#set -x
-
-echo "Checking build system dependancies:"
-echo ""
-
-
-#############################################################
-#
-# check build system 'make'
-#
-#############################################################
-MAKE=$(which make)
-if [ -z "$MAKE" ] ; then
-	echo "make installed:		    FALSE"
-	echo -e "\n\nYou must install 'make' on your build machine\n";
-	exit 1;
-fi;
-MAKE_VERSION=$($MAKE --version 2>&1 | head -n1 | sed -e 's/^.* \([0-9\.]\)/\1/g' -e 's/[-\ ].*//g')
-if [ -z "$MAKE_VERSION" ] ; then
-	echo "make installed:		    FALSE"
-	echo -e "\n\nYou must install 'make' on your build machine\n";
-	exit 1;
-fi;
-MAKE_MAJOR=$(echo $MAKE_VERSION | sed -e "s/\..*//g")
-MAKE_MINOR=$(echo $MAKE_VERSION | sed -e "s/^$MAKE_MAJOR\.//g" -e "s/\..*//g")
-if [ $MAKE_MAJOR -lt 3 -o $MAKE_MAJOR -eq 3 -a $MAKE_MINOR -lt 8 ] ; then
-	echo "You have make '$MAKE_VERSION' installed.  GNU make >=3.80 is required"
-	exit 1;
-fi;
-echo "GNU make version '$MAKE_VERSION':	    Ok"
-
-
-
-#############################################################
-#
-# check build system 'gcc'
-#
-#############################################################
-COMPILER=$(which gcc)
-if [ -z "$COMPILER" ] ; then
-	COMPILER=$(which cc)
-	if [ -z "$COMPILER" ] ; then
-		echo "gcc installed:		    FALSE"
-		echo -e "\n\nYou must install 'gcc' on your build machine\n";
-		exit 1;
-	fi;
-fi;
-COMPILER_VERSION=$($COMPILER --version 2>&1 | head -n1 | sed -e 's/^.* \([0-9\.]\)/\1/g' -e "s/[-\ ].*//g")
-if [ -z "$COMPILER_VERSION" ] ; then
-	echo "gcc installed:		    FALSE"
-	echo -e "\n\nYou must install 'gcc' on your build machine\n";
-	exit 1;
-fi;
-COMPILER_MAJOR=$(echo $COMPILER_VERSION | sed -e "s/\..*//g")
-COMPILER_MINOR=$(echo $COMPILER_VERSION | sed -e "s/^$COMPILER_MAJOR\.//g" -e "s/\..*//g")
-if [ $COMPILER_MAJOR -lt 3 -o $COMPILER_MAJOR -eq 2 -a $COMPILER_MINOR -lt 95 ] ; then
-	echo "You have gcc '$COMPILER_VERSION' installed.  gcc >= 2.95 is required"
-	exit 1;
-fi;
-echo "gcc version '$COMPILER_VERSION':		    Ok"
-
-
-
-
-#############################################################
-#
-# check build system 'which'
-#
-#############################################################
-if ! which which > /dev/null ; then
-	echo "which installed:		    FALSE"
-	echo -e "\n\nYou must install 'which' on your build machine\n";
-	exit 1;
-fi;
-echo "which installed:		    Ok"
-
-
-#############################################################
-#
-# check build system 'bison'
-#
-#############################################################
-if ! which bison > /dev/null ; then
-	echo "bison installed:		    FALSE"
-	echo -e "\n\nYou must install 'bison' on your build machine\n";
-	exit 1;
-fi;
-echo "bison installed:		    Ok"
-
-
-#############################################################
-#
-# check build system 'flex'
-#
-#############################################################
-if ! which flex > /dev/null ; then
-	echo "flex installed:		    FALSE"
-	echo -e "\n\nYou must install 'flex' on your build machine\n";
-	exit 1;
-fi;
-echo "flex installed:			    Ok"
-
-
-#############################################################
-#
-# check build system 'gettext'
-#
-#############################################################
-if ! which msgfmt > /dev/null ; then \
-	echo "gettext installed:		    FALSE"
-	echo -e "\n\nYou must install 'gettext' on your build machine\n"; \
-	exit 1; \
-fi;
-echo "gettext installed:		    Ok"
-
-
-
-
-
-#############################################################
-#
-# All done
-#
-#############################################################
-echo "Build system dependancies:	    Ok"
-

Added: trunk/buildroot/toolchain/dependencies/dependencies.mk
===================================================================
--- trunk/buildroot/toolchain/dependancies/dependencies.mk	2006-05-25 23:02:40 UTC (rev 15172)
+++ trunk/buildroot/toolchain/dependencies/dependencies.mk	2006-05-26 01:18:09 UTC (rev 15173)
@@ -0,0 +1,25 @@
+######################################################################
+#
+# Check buildroot dependencies and bail out if the user's
+# system is judged to be lacking....
+#
+######################################################################
+
+dependencies:
+	$(TOPDIR)/toolchain/dependencies/dependencies.sh
+
+dependencies-source:
+
+dependencies-clean:
+	rm -f $(SSTRIP_TARGET)
+
+dependencies-dirclean:
+	true
+
+#############################################################
+#
+# Toplevel Makefile options
+#
+#############################################################
+# unconditionally include this one...
+TARGETS+=dependencies

Added: trunk/buildroot/toolchain/dependencies/dependencies.sh
===================================================================
--- trunk/buildroot/toolchain/dependancies/dependencies.sh	2006-05-25 23:02:40 UTC (rev 15172)
+++ trunk/buildroot/toolchain/dependencies/dependencies.sh	2006-05-26 01:18:09 UTC (rev 15173)
@@ -0,0 +1,129 @@
+#!/bin/sh
+
+set -e
+#set -x
+
+echo "Checking build system dependencies:"
+echo ""
+
+
+#############################################################
+#
+# check build system 'make'
+#
+#############################################################
+MAKE=$(which make)
+if [ -z "$MAKE" ] ; then
+	echo "make installed:		    FALSE"
+	echo -e "\n\nYou must install 'make' on your build machine\n";
+	exit 1;
+fi;
+MAKE_VERSION=$($MAKE --version 2>&1 | head -n1 | sed -e 's/^.* \([0-9\.]\)/\1/g' -e 's/[-\ ].*//g')
+if [ -z "$MAKE_VERSION" ] ; then
+	echo "make installed:		    FALSE"
+	echo -e "\n\nYou must install 'make' on your build machine\n";
+	exit 1;
+fi;
+MAKE_MAJOR=$(echo $MAKE_VERSION | sed -e "s/\..*//g")
+MAKE_MINOR=$(echo $MAKE_VERSION | sed -e "s/^$MAKE_MAJOR\.//g" -e "s/\..*//g")
+if [ $MAKE_MAJOR -lt 3 -o $MAKE_MAJOR -eq 3 -a $MAKE_MINOR -lt 8 ] ; then
+	echo "You have make '$MAKE_VERSION' installed.  GNU make >=3.80 is required"
+	exit 1;
+fi;
+echo "GNU make version '$MAKE_VERSION':	    Ok"
+
+
+
+#############################################################
+#
+# check build system 'gcc'
+#
+#############################################################
+COMPILER=$(which gcc)
+if [ -z "$COMPILER" ] ; then
+	COMPILER=$(which cc)
+	if [ -z "$COMPILER" ] ; then
+		echo "gcc installed:		    FALSE"
+		echo -e "\n\nYou must install 'gcc' on your build machine\n";
+		exit 1;
+	fi;
+fi;
+COMPILER_VERSION=$($COMPILER --version 2>&1 | head -n1 | sed -e 's/^.* \([0-9\.]\)/\1/g' -e "s/[-\ ].*//g")
+if [ -z "$COMPILER_VERSION" ] ; then
+	echo "gcc installed:		    FALSE"
+	echo -e "\n\nYou must install 'gcc' on your build machine\n";
+	exit 1;
+fi;
+COMPILER_MAJOR=$(echo $COMPILER_VERSION | sed -e "s/\..*//g")
+COMPILER_MINOR=$(echo $COMPILER_VERSION | sed -e "s/^$COMPILER_MAJOR\.//g" -e "s/\..*//g")
+if [ $COMPILER_MAJOR -lt 3 -o $COMPILER_MAJOR -eq 2 -a $COMPILER_MINOR -lt 95 ] ; then
+	echo "You have gcc '$COMPILER_VERSION' installed.  gcc >= 2.95 is required"
+	exit 1;
+fi;
+echo "gcc version '$COMPILER_VERSION':		    Ok"
+
+
+
+
+#############################################################
+#
+# check build system 'which'
+#
+#############################################################
+if ! which which > /dev/null ; then
+	echo "which installed:		    FALSE"
+	echo -e "\n\nYou must install 'which' on your build machine\n";
+	exit 1;
+fi;
+echo "which installed:		    Ok"
+
+
+#############################################################
+#
+# check build system 'bison'
+#
+#############################################################
+if ! which bison > /dev/null ; then
+	echo "bison installed:		    FALSE"
+	echo -e "\n\nYou must install 'bison' on your build machine\n";
+	exit 1;
+fi;
+echo "bison installed:		    Ok"
+
+
+#############################################################
+#
+# check build system 'flex'
+#
+#############################################################
+if ! which flex > /dev/null ; then
+	echo "flex installed:		    FALSE"
+	echo -e "\n\nYou must install 'flex' on your build machine\n";
+	exit 1;
+fi;
+echo "flex installed:			    Ok"
+
+
+#############################################################
+#
+# check build system 'gettext'
+#
+#############################################################
+if ! which msgfmt > /dev/null ; then \
+	echo "gettext installed:		    FALSE"
+	echo -e "\n\nYou must install 'gettext' on your build machine\n"; \
+	exit 1; \
+fi;
+echo "gettext installed:		    Ok"
+
+
+
+
+
+#############################################################
+#
+# All done
+#
+#############################################################
+echo "Build system dependencies:	    Ok"
+


Property changes on: trunk/buildroot/toolchain/dependencies/dependencies.sh
___________________________________________________________________
Name: svn:executable
   + *




More information about the uClibc-cvs mailing list